Subject: Deleted files are indicated in list

Description

History

#1 - 2012-11-22 09:55 - André Haehnel

- Assigned To set to André Haehnel
#2 - 2012-12-01 19:51 - Andreas Wolf

- Status changed from New to Needs Feedback
- Assigned To deleted (André Haehnel)

Thanks for the report, but | can't really locate the eroror - could you elaborate your description a bit more? What did you do, what was the expected
result, what did you get instead? And a description of your environment would also help.

#3 - 2013-01-04 09:55 - Rico Sonntag

Deleted files unfortunately are still shown in the file list (but flagged inside db). They are not physically deleted.

https://review.typo3.org/#/c/16403/ fixes the missing delete-button and setting the deleted flag. but files are not deleted, either in the file list or detail

view.

#4 - 2013-01-04 13:09 - Christian Weiske
Steps to reproduce:

1. TYPO3 backend > File > Filelist
2. Upload file

3. File is shown in file list

4. Edit file

5. Delete file

6

. File is still shown in file list

Related to bug #42294.

#5 - 2013-01-04 15:44 - Christian Weiske
Part 1 of the problem is obtaining the information if the file is deleted or not. This is not directly available in TYPO\CMS\Core\Resource\File, but only in

the index record.

Loading the index record is only possible by calling isindexed(), since loadindexRecord() is protected. Then, the deleted property is available.

#6 - 2013-01-04 16:05 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17367

#7 - 2013-01-04 16:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/17367

#8 - 2013-01-13 15:57 - Helmut Hummel
- Status changed from Under Review to Rejected

Hi,

Christian Weiske wrote:

Steps to reproduce:
1. TYPOS backend > File > Filelist
2. Upload file
3. File is shown in file list
4. Edit file
5. Delete file

6. File is still shown in file list

Cannot reproduce when using the context menu to delete the file.

Related to bug #42294.

If you use the delete button to delete the file which in implemented in this change, then this change is obviously wrong and should be fixed there.

#9 - 2013-01-14 13:07 - Christian Weiske

Sorry that | was unclear. | deleted it via "edit meta data" (edit icon) and then the delete icon. This set the record to "deleted".

So this is the problem we're trying to address here:

sys_file records that have the deleted field set to 1 are shown in the file list
The "delete" entry of the context menu actually removes the file, but keeps the record in sys_file as it is - it does not even set the record to "deleted",

nor does it delete the record. This is wrong, too - IMO.

| think we need to wait for a resolution to the "how to delete a file" discussion in http://review.typo3.org/16403 until we can continue here.

#10 - 2013-01-16 10:09 - Christian Weiske

Helmut, Philipp Gampe thinks that records maked as deleted is something that needs to be supported - see
http://lists.typo3.org/pipermail/typo3-dev/2013-January/046148.html

So in his eyes, this patch is actually useful. Could you please review it?

#11 - 2013-01-28 18:34 - Dan Untenzu
Just a quick note, maybe this is implemented already and im stepping in the wrong direction, but as | read about “automatic backups” and “no gos” for

instant deletion in reviews and mailling lists: please keep in mind that editors should be able to remove a file and all it's relations instantly in case they

are required to do so (e.g. due to an adhortatory letter, because of illegal usage of images).
